# class Puppet::Parser::AST::Else

A separate ElseIf statement; can function as an ‘else’ if there’s no test.

### Attributes

statements[RW]

### Public Instance Methods

each() { |statements| ... } click to toggle source

    # File lib/puppet/parser/ast/else.rb, line 12
    def each
      yield @statements
    end

evaluate(scope) click to toggle source

Evaluate the actual statements; this only gets called if our test was true matched.

    # File lib/puppet/parser/ast/else.rb, line 18
    def evaluate(scope)
      @statements.safeevaluate(scope)
    end